# Fraud Prevention

## Fraud Prevention Feature for Online Payments

This is a powerful feature designed to safeguard merchants from fraud during the checkout process on their payment pages. This feature scrutinizes various data points before a payment is processed to confirm that it is not a counterfeit or unauthorized transaction.

A crucial component of this feature is the Data Collector, which operates discreetly in the background, collecting information about the customer as they go through the checkout process on the merchant's payment page. Integration is made simple, as it can be easily incorporated using our JS SDK and API.

**Note**: Please contact support to enable Fraud Prevention feature

## Essential Information&#x20;

As a customer concludes their purchase on the merchant's payment page, this platform requires specific information to function optimally. This data will help authenticate the transaction, and identify any attempted fraudulent activity.

## Implementation Instructions:

#### Step 1: Implement a client-side call using the following code:&#x20;

```javascript
const sessionId = await window.PayEngine.createFraudMonitorSession(PEMerchantId)
```

Note: Trigger this call as early in the user's journey as possible.

#### Step 2: Pass the session ID when executing transactions&#x20;

Pass the session ID obtained in Step 1 to the auth/sale API call in the `fraudMonitorSessionId` field of your API request.

By following these two simple steps, you can effectively integrate this fraud prevention feature into your payment process, enhancing the security and integrity of your online transactions.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payengine.co/developer-docs/processing-payments/fraud-prevention.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
